#include <bits/stdc++.h>
using namespace std;

bool cmpfun(pair<int, double> a, pair<int, double> b)
{
    return (a.second > b.second);
}

int main()
{
    int n;
    cin >> n;

    pair<int, double> a[n];

    for (int i = 0; i < n; i++)
    {
        pair<int, double> p;
        cin >> p.first >> p.second;
        a[i] = p;
    }

    sort(a, a+n, cmpfun);

    long long prefiksne[n];
    prefiksne[0] = a[0].first;

    for (int i = 1; i < n; i++)
    {
        prefiksne[i] = prefiksne[i-1] + a[i].first;
    }

    double maks = 0;

    for (int i = 0; i < n; i++)
    {
        if (a[i].second*(double)prefiksne[i] > maks) maks = a[i].second*(double)prefiksne[i];
    }
    maks /= 100.0;

    cout << fixed;
    cout << setprecision(4);

    cout << maks << endl;

    return 0;
}

/*
3
1000 22.2
560 55.13
8700 18
*/